# -*- coding: utf-8 -*-

# Configuration to load
CONF_ID = "4"

######
# Common configuration parameters

# x-position of left side of grid
# X_START = 270
# X_START = 70
X_START = 10

# Number of unit periods in the grid
# NB_UNIT_PERIOD = 72
# NB_UNIT_PERIOD = 70
NB_UNIT_PERIOD = 82

# Horizontal space for unit period
HORIZ_SPACE = 4.86 # (620 - X_START)/NB_UNIT_PERIOD


conf = {
    # Paramètres vitaux graphiques
    "1": {
        "coord": {
	    "x_start": X_START,
	    "x_end": X_START + NB_UNIT_PERIOD * HORIZ_SPACE,
	    "y_start": 35,
	    "y_end": 35 + 26 * 3
        },
        "space": {
	    "vert": 3,
	    "horiz": HORIZ_SPACE,
            "horiz_colors": (None, "magenta_10", None, "magenta_10", None, "magenta_10", None, "magenta_10", None, "magenta_10", None,
                             "magenta_20", "magenta_30", "magenta_20", "magenta_30", "magenta_20", "magenta_30", "magenta_20", "magenta_30", "magenta_20", "magenta_30",
                             None, "magenta_10", None, "magenta_10")
        },
        "line": {
            "horiz_width": (0.1, 0.4, 0.1, 0.1, 0.1),
	    "vert_width": (0.4, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.1, 0.1, 0.1, 0.1, 0.1),
            "horiz_colors": ("magenta_50",),
            "vert_colors": ("gris_70", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50")
        },
        "xlab": {
	    "text": [""] + list(range(5, 60, 5)),
            "y": 30,
            "fontsize": 7
        },
        "ylab": {
	    "text": range(260, 0, -10),
            # "text": None, # pour rallonge
            "x": X_START - 9,
            "fontsize": 7
        }
    },
    # Paramètres numériques
    "2": {
        "coord": {
	    "x_start": X_START,
	    "x_end": X_START + NB_UNIT_PERIOD * HORIZ_SPACE,
	    "y_start": 113,
	    "y_end": 185
            # "y_end": 239
        },
        "space": {
	    "vert": 6,
	    "horiz": 3 * HORIZ_SPACE,
            "horiz_colors": (None, "magenta_10")
        },
        "line": {
	    "horiz_width": (0.1,),
	    "vert_width": (0.4, 0.1, 0.4, 0.1),
            "horiz_colors": ("magenta_50",),
            "vert_colors": ("gris_70", "magenta_50", "magenta_50", "magenta_50")
        },
        "xlab": {
	    "text": None,
            "y": 40,
            "fontsize": 7
        },
        "ylab": {
	    "text": None,
            "x": 20,
            "fontsize": 10
        }
    },
    # Injections et persfusions
    "3": {
        "coord": {
	    "x_start": X_START,
	    "x_end": X_START + NB_UNIT_PERIOD * HORIZ_SPACE,
	    "y_start": 185,
            # "y_start": 239,
	    "y_end": 287
        },
        "space": {
            "vert": 6,
            # "vert": 100,
            "horiz": HORIZ_SPACE,
            # "horiz": 6 * HORIZ_SPACE,
            "horiz_colors": (None, "magenta_10")
        },
        "line": {
	    "horiz_width": (0.1,),
            "vert_width": (0.4, 0.1, 0.1, 0.1, 0.1, 0.1, 0.4, 0.1, 0.1, 0.1, 0.1, 0.1),
            # "vert_width": (0.4, 0.4),
            "horiz_colors": ("magenta_50",),
            "vert_colors": ("gris_70", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50")
            # "vert_colors": ("gris_70", "magenta_50")
        },
        "xlab": {
	    "text": None,
            "y": 40,
            "fontsize": 7
        },
        "ylab": {
	    "text": None,
            "x": 20,
            "fontsize": 10
        }
    },
    # Temps opératoires (traits penchés)
    "4": {
        "coord": {
	    "x_start": X_START + HORIZ_SPACE + 12,
	    "x_end": X_START + NB_UNIT_PERIOD * HORIZ_SPACE - HORIZ_SPACE,
	    "y_start": 27,
	    "y_end": 10
        },
        "space": {
	    "vert": 100,
            # "vert": 6,
	    "horiz": HORIZ_SPACE,
            "x_shift": -12,
            "horiz_colors": (None,)
        },
        "line": {
	    "horiz_width": (0,),
            #"vert_width": (0.8, 0.02, 0.02, 0.02, 0.02, 0.02, 0.4, 0.02, 0.02, 0.02, 0.02, 0.02),
	    "vert_width": (0.1,),
            "horiz_colors": ("magenta_50",),
            "vert_colors": ("magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "gris_70")
        },
        "xlab": {
	    "text": None,
            "y": 40,
            "fontsize": 7
        },
        "ylab": {
	    "text": None,
            "x": 20,
            "fontsize": 10
        }
    },
    # Temps opératoires (jonctions verticales avec la grille)
    "5": {
        "coord": {
	    "x_start": X_START + HORIZ_SPACE,
	    "x_end": X_START + NB_UNIT_PERIOD * HORIZ_SPACE - HORIZ_SPACE,
	    "y_start": 27,
	    "y_end": 30
        },
        "space": {
	    "vert": 100,
            # "vert": 6,
	    "horiz": HORIZ_SPACE,
            "horiz_colors": (None,)
        },
        "line": {
	    "horiz_width": (0,),
            #"vert": (0.8, 0.02, 0.02, 0.02, 0.02, 0.02, 0.4, 0.02, 0.02, 0.02, 0.02, 0.02),
	    "vert_width": (0.1,),
            "horiz_colors": ("magenta_50",),
            "vert_colors": ("magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "magenta_50", "gris_70")
        },
        "xlab": {
	    "text": None,
            "y": 40,
            "fontsize": 7
        },
        "ylab": {
	    "text": None,
            "x": 20,
            "fontsize": 10
        }
    }
}
